<template lang="pug">
BaseCard.side-card.border-scondary.text-center.shadow
  template(v-slot:header)
    .d-flex.justify-content-between.my-2(key='title')
      .ml-4
        strong {{ !$butils.isNil(title) ? title : extraDataKey }}
        BaseAnimationBlock
          .ml-2.mt-1.spinner-border.spinner-border-sm(v-if="(saving && inEdit) || loading"
            role='status' aria-hidden='true')
      template(v-if="$store.getters.canAdmin")
        .ml-auto.clickable(@click='setEdit(true)' v-if='!inEdit')
          i.mr-2.fa.fa-cog
        .ml-auto.clickable(@click='setEdit(false)' v-if='inEdit')
          i.mr-2.fa.fa-times
  li.text-secondary.text-left(key='1').m-0.p-0
    span(v-if="!inEdit && !valueInDb") No Data.
    BaseMarkdownWidget(ref="mw" :inEdit='inEdit' v-model='dbValue')
      template(v-slot:buttons='p')
        .x-extra-save.b-clickable.ml-2(@click="doSave()" title="Save"
                                       data-toggle="tooltip" data-placement="top")
          i.fa.fa-save
</template>
<script>
export { default } from './ExtraDataWidget.vue.js';
</script>
